DELETE/account/model-credential
Delete Model Credential
Website sign-in only
curl -X DELETE 'https://api.papervantage.com/account/model-credential' \
-H "Authorization: Bearer $COGNITO_ACCESS_TOKEN"API key or sign-in
Used by the website. These routes don't accept an API key.
Delete Model Credential
curl -X DELETE 'https://api.papervantage.com/account/model-credential' \
-H "Authorization: Bearer $COGNITO_ACCESS_TOKEN"Get Model Credential
| Field | Type | Description |
|---|---|---|
| credential * | CredentialView | null | |
| daily_turn_limit * | integer | |
| key_last4 * | string | |
| label * | string | null | |
| last_error * | string | null | |
| last_used_at * | string | null | |
| model * | string | |
| model_label * | string | |
| monthly_limit_usd * | number | |
| provider * | string | |
| provider_name * | string | |
| region * | string | null | |
| resets_at * | string | null | |
| supported * | boolean | |
| turns_today * | integer | |
| used_usd * | number | |
| daily_turn_limit * | integer | |
| default_monthly_limit_usd * | number | |
| enabled * | boolean | |
| is_member * | boolean | |
| max_monthly_limit_usd * | number | |
| providers * | object[] |
curl 'https://api.papervantage.com/account/model-credential' \
-H "Authorization: Bearer $COGNITO_ACCESS_TOKEN"Put Model Credential
| Field | Type | Description |
|---|---|---|
| api_key * | string | |
| label | string | null | |
| model * | string | |
| monthly_limit_usd | number | null | |
| provider * | string | |
| region | string | null |
| Field | Type | Description |
|---|---|---|
| credential * | CredentialView | null | |
| daily_turn_limit * | integer | |
| key_last4 * | string | |
| label * | string | null | |
| last_error * | string | null | |
| last_used_at * | string | null | |
| model * | string | |
| model_label * | string | |
| monthly_limit_usd * | number | |
| provider * | string | |
| provider_name * | string | |
| region * | string | null | |
| resets_at * | string | null | |
| supported * | boolean | |
| turns_today * | integer | |
| used_usd * | number | |
| daily_turn_limit * | integer | |
| default_monthly_limit_usd * | number | |
| enabled * | boolean | |
| is_member * | boolean | |
| max_monthly_limit_usd * | number | |
| providers * | object[] |
curl -X PUT 'https://api.papervantage.com/account/model-credential' \
-H "Authorization: Bearer $COGNITO_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"provider":"<provider>","api_key":"<api_key>","model":"<model>"}'Openrouter Callback
| Field | Type | Description |
|---|---|---|
| code * | string | |
| code_verifier * | string | |
| model * | string | |
| monthly_limit_usd | number | null |
| Field | Type | Description |
|---|---|---|
| credential * | CredentialView | null | |
| daily_turn_limit * | integer | |
| key_last4 * | string | |
| label * | string | null | |
| last_error * | string | null | |
| last_used_at * | string | null | |
| model * | string | |
| model_label * | string | |
| monthly_limit_usd * | number | |
| provider * | string | |
| provider_name * | string | |
| region * | string | null | |
| resets_at * | string | null | |
| supported * | boolean | |
| turns_today * | integer | |
| used_usd * | number | |
| daily_turn_limit * | integer | |
| default_monthly_limit_usd * | number | |
| enabled * | boolean | |
| is_member * | boolean | |
| max_monthly_limit_usd * | number | |
| providers * | object[] |
curl -X POST 'https://api.papervantage.com/account/model-credential/openrouter/callback' \
-H "Authorization: Bearer $COGNITO_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"code":"<code>","code_verifier":"<code_verifier>","model":"<model>"}'Start OpenRouter's PKCE flow. The browser keeps the verifier (sessionStorage) and goes to OpenRouter, which
sends it back to /account/openrouter-callback with a code; the frontend then POSTs code + verifier below.
| Field | Type | Description |
|---|---|---|
| code_verifier * | string | |
| state * | string | |
| url * | string |
curl 'https://api.papervantage.com/account/model-credential/openrouter/start' \
-H "Authorization: Bearer $COGNITO_ACCESS_TOKEN"Next: In-paper assistant